SETSID(1)

NAME
setsid - run a program in a new session

SYNOPSIS

setsid [options] program [arguments]

DESCRIPTION

setsid runs a program in a new session. The command calls fork(2) if already a process group leader. Otherwise, it executes a program in the current process. This default behavior is possible to override by the --fork option.

OPTIONS

-c, --ctty
    Set the controlling terminal to the current one.

-f, --fork
    Always create a new process.

-w, --wait
    Wait for the execution of the program to end, and return the exit status of this program as the exit status of setsid.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

AUTHORS

SEE ALSO

setsid(2)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The setsid command is part of the util-linux package which can be downloaded from